package com.rv.share.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

public class AllGoodsListBean extends BaseBean {


    private List<GoodsItem> data;

    private boolean rel;

    public void setData(List<GoodsItem> data) {
        this.data = data;
    }

    public List<GoodsItem> getData() {
        return data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class GoodsItem {
        public int id;
        public long crtTime;
        public long updTime;
        public String name;
        public long startTime;
        public long endTime;
        public int numLimit;
        public int hasJoinNum;
        public boolean status;
        public boolean sort;
        public String picture;
        public boolean type;
        public boolean timeType;
        public boolean isDel;
        public int sales;
        public int stock;
        public String detail;
        public String explainInfo;

        public List<DetailList> list;

    }

    public static class DetailList implements Serializable {

        public String name;
        public int id;
        public int goodsId;
        public String code;
        public String specsImg;
        public int specsSeq;
        public BigDecimal goodsPrice;
        public BigDecimal specsCostPrice;
        public int crtUser;
        public long crtTime;
        public int updUser;
        public long updTime;
        public boolean isDel;
        public int sales;
        public int stock;
        public String goodsSpecs;
    }
}
